> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a content type DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id} _Before you can delete a content type you need to deactivate it_. Reference: https://contentful.com/developers/docs/references/content-management-api/content-types/delete-a-content-type ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `content_type_id` (string, required) — ID of the Content Type in form of a string ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .contentTypes() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMAContentType contentType) { client .contentTypes() .async() .delete( contentType, new CMACallback() { @Override protected void onSuccess(Integer result) { // Deleted. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Deletion of a content type was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not delete a content type." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch a content type." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // fetch content type. final CMAContentType contentType = client .contentTypes() .fetchOne(""); client .contentTypes() .delete(contentType); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() // fetch content type. val contentType = client .contentTypes() .fetchOne("") client .contentTypes() .delete(contentType) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getContentType('')) .then((contentType) => contentType.delete()) .then(() => console.log('Content type deleted.')) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) await client.contentType.delete({ spaceId: '', environmentId: '', contentTypeId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $environment = $client->getEnvironmentProxy('', ''); $contentType = $environment->getContentType(''); $contentType->delete(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') content_type = client.content_types('', '').find('') content_type.destroy ``` ```python Python from contentful_management import Client client = Client('') # Delete directly: client.content_types('').delete('') # Alternatively, from an already fetched content type: content_type = client.content_types('', '').find('') content_type.delete() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var contentType = await client.DeleteContentType(""); ```